Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application.configuration
Class ConfigurationServiceHelper

    java.lang.Object
      org.richfaces.application.configuration.ConfigurationServiceHelper

    public final class ConfigurationServiceHelper

extends java.lang.Object

Author:
  Nick Belaevski

Method Summary
`static java.lang.Boolean` | `getBooleanConfigurationValue(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> key)`
`static java.lang.Object` | `getConfigurationValue(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> key)`
`static
`<T extends java.lang.Enum<T>> T`
` | `getEnumConfigurationValue(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> key, java.lang.Class<T> enumClass)`
`static java.lang.Integer` | `getIntConfigurationValue(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> key)`
`static java.lang.Long` | `getLongConfigurationValue(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> key)`
`static java.lang.String` | `getStringConfigurationValue(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBooleanConfigurationValue

    public static final java.lang.Boolean getBooleanConfigurationValue(javax.faces.context.FacesContext facesContext,
                                                                       java.lang.Enum<?> key)

### getIntConfigurationValue

    public static final java.lang.Integer getIntConfigurationValue(javax.faces.context.FacesContext facesContext,
                                                                   java.lang.Enum<?> key)

### getLongConfigurationValue

    public static final java.lang.Long getLongConfigurationValue(javax.faces.context.FacesContext facesContext,
                                                                 java.lang.Enum<?> key)

### getStringConfigurationValue

    public static final java.lang.String getStringConfigurationValue(javax.faces.context.FacesContext facesContext,
                                                                     java.lang.Enum<?> key)

### getConfigurationValue

    public static final java.lang.Object getConfigurationValue(javax.faces.context.FacesContext facesContext,
                                                               java.lang.Enum<?> key)

### getEnumConfigurationValue

    public static final <T extends java.lang.Enum<T>> T getEnumConfigurationValue(javax.faces.context.FacesContext facesContext,
                                                                                  java.lang.Enum<?> key,
                                                                                  java.lang.Class<T> enumClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.